--[[
	GemCensus: A gem popularity addon.
	Copyright (c) 2010 Cyprias <Cyprias@gmail.com>
	All Rights Reserved.
	Only Curse.com, WoWInterface.com & WoWace.com have permission to redistribute this software. 
	GemCensus shall not be included in a UI pack / compilation without permission. 
]]

--[[
	Pricing system stolen from LilSparky's Workshop.
	http://www.wowace.com/addons/lil-sparkys-workshop/
]]

local core = LibStub("AceAddon-3.0"):GetAddon("GemCensus")
local display = core.display

local _G = _G

do
	local function AuctionPrice(itemID)
		return _G.LSWPrices.value[itemID]
	end

	local function Init()
		display:RegisterAlgorithm("LilSparky's Workshop Cache", AuctionPrice)
	end

	local function Test(index)
		return _G.LSWPrices and true or false
	end

	display:RegisterPricingSupport("LilSparky's Workshop Cache", Test, Init)
end
